<script lang="ts">
    import type { status as statusType } from "../../types/status"
    import Box from "./StatusBox.svelte"
    import DetailView from "./Detail.svelte"

    export let status: statusType

    let active = "overview"
</script>

<main class:overview={active == "overview"}>
    {#if active == "overview"}
        {#each status as entry}
            <Box on:click={() => active = entry.token} {entry}></Box>
        {/each}
    {:else}
        <button on:click={() => active = "overview"}>
            &larr;
        </button>
        <DetailView token={active}></DetailView>
    {/if}
</main>

<style>
    main {
        position: relative;
        width: 90vw;
        max-width: 1100px;

        display: block;
        margin: auto;
        margin-top: 100px;
    }
    main.overview {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }

    button {
        display: block;
        margin: auto;

        outline: none;
        border: none;

        font-size: 15px;
        font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";

        background-color: #FCD34D;
        color: black;

        padding: 3px 7px;

        border-radius: 10px;
        cursor: pointer;
    }

    @media (max-width: 1200px) {
        main.overview {
            grid-template-columns: 1fr 1fr;
        }
    }
    @media (max-width: 600px) {
        main.overview {
            grid-template-columns: 1fr;
        }
    }
</style>